Bug 1005505 - [abrt] evolution-3.8.5-2.fc19: xmlBufGetNodeContent__internal_alias: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.8.5-2.fc19: xmlBufGetNodeContent__internal_alias: Process ...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:1d6ce1a4226232d94909be03258...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 14:29 EDT by Mikhail
Modified: 2013-09-20 03:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-20 03:38:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (70.47 KB, text/plain)
2013-09-07 14:29 EDT, Mikhail
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-07 14:29 EDT, Mikhail
no flags Details
File: core_backtrace (54.96 KB, text/plain)
2013-09-07 14:29 EDT, Mikhail
no flags Details
File: dso_list (26.53 KB, text/plain)
2013-09-07 14:29 EDT, Mikhail
no flags Details
File: environ (1.51 KB, text/plain)
2013-09-07 14:30 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-07 14:30 EDT, Mikhail
no flags Details
File: maps (130.82 KB, text/plain)
2013-09-07 14:30 EDT, Mikhail
no flags Details
File: open_fds (2.45 KB, text/plain)
2013-09-07 14:30 EDT, Mikhail
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-09-07 14:30 EDT, Mikhail
no flags Details
File: var_log_messages (1.46 KB, text/plain)
2013-09-07 14:30 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-09-07 14:29:42 EDT
Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        evolution
crash_function: xmlBufGetNodeContent__internal_alias
executable:     /usr/bin/evolution
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xmlBufGetNodeContent__internal_alias at tree.c:5364
 #1 xmlNodeGetContent__internal_alias at tree.c:5540
 #2 e_soap_parameter_get_int_value at e-soap-response.c:318
 #3 e_ews_item_set_from_soap_parameter at e-ews-item.c:1045
 #4 e_ews_item_new_from_soap_parameter at e-ews-item.c:1145
 #5 ews_handle_items_param at e-ews-connection.c:905
 #6 get_items_response_cb at e-ews-connection.c:946
 #7 ews_response_cb at e-ews-connection.c:584
 #8 soup_session_process_queue_item at soup-session.c:1858
 #9 async_run_queue at soup-session.c:1896
Comment 1 Mikhail 2013-09-07 14:29:47 EDT
Created attachment 795163 [details]
File: backtrace
Comment 2 Mikhail 2013-09-07 14:29:50 EDT
Created attachment 795164 [details]
File: cgroup
Comment 3 Mikhail 2013-09-07 14:29:54 EDT
Created attachment 795165 [details]
File: core_backtrace
Comment 4 Mikhail 2013-09-07 14:29:58 EDT
Created attachment 795166 [details]
File: dso_list
Comment 5 Mikhail 2013-09-07 14:30:01 EDT
Created attachment 795167 [details]
File: environ
Comment 6 Mikhail 2013-09-07 14:30:06 EDT
Created attachment 795168 [details]
File: limits
Comment 7 Mikhail 2013-09-07 14:30:10 EDT
Created attachment 795169 [details]
File: maps
Comment 8 Mikhail 2013-09-07 14:30:13 EDT
Created attachment 795170 [details]
File: open_fds
Comment 9 Mikhail 2013-09-07 14:30:16 EDT
Created attachment 795171 [details]
File: proc_pid_status
Comment 10 Mikhail 2013-09-07 14:30:20 EDT
Created attachment 795172 [details]
File: var_log_messages
Comment 11 Mikhail 2013-09-07 15:14:23 EDT
[ 8271.873381] tracker-miner-f[1735]: segfault at 300000003 ip 000000307643165f sp 00007fff709ca030 error 4 in libgobject-2.0.so.0.3600.3[3076400000+4d000]
[ 8742.248772] BUG: unable to handle kernel paging request at ffffe8000bbdb340
[ 8742.248796] IP: [<ffffffff8116a36d>] free_pages_and_swap_cache+0x5d/0xd0
[ 8742.248817] PGD 0 
[ 8742.248824] Oops: 0000 [#1] SMP 
[ 8742.248835] Modules linked in: vfat fat hidp joydev fuse ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep usb_storage btusb bluetooth rfkill hid_logitech_dj snd_hda_codec_realtek acpi_cpufreq mperf coretemp kvm_intel kvm iTCO_wdt iTCO_vendor_support ppdev crc32_pclmul crc32c_intel ghash_clmulni_intel snd_hda_codec_hdmi snd_hda_intel snd_ice1724 snd_hda_codec snd_ak4113 snd_pt2258 snd_ak4114 snd_i2c snd_ice17xx_ak4xxx snd_hwdep snd_ak4xxx_adda snd_rawmidi snd_seq snd_ac97_codec snd_seq_device microcode ac97_bus serio_raw snd_pcm
[ 8742.249077]  i2c_i801 r8169 mii shpchp snd_page_alloc snd_timer mei_me snd lpc_ich mei parport_pc soundcore mfd_core parport binfmt_misc uinput i915 i2c_algo_bit drm_kms_helper drm i2c_core video
[ 8742.249132] CPU: 3 PID: 22293 Comm: chrome Not tainted 3.10.10-200.fc19.x86_64 #1
[ 8742.249159] Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F8 08/03/2013
[ 8742.249178] task: ffff8803d1f7bd00 ti: ffff8803d1d86000 task.ti: ffff8803d1d86000
[ 8742.249194] RIP: 0010:[<ffffffff8116a36d>]  [<ffffffff8116a36d>] free_pages_and_swap_cache+0x5d/0xd0
[ 8742.249217] RSP: 0018:ffff8803d1d87ac0  EFLAGS: 00010206
[ 8742.249229] RAX: 005ff00000080068 RBX: 000000000000000b RCX: 0000000000000030
[ 8742.249245] RDX: ffffea000c5a9180 RSI: ffff88043f2d7430 RDI: 0000000000000297
[ 8742.249260] RBP: ffff8803d1d87ae8 R08: ffffea000a376ce0 R09: ffff88043f1e4a60
[ 8742.249276] R10: 000000000000006c R11: ffffea000b9a9c80 R12: ffffe8000bbdb340
[ 8742.249290] R13: 0000000000000148 R14: ffff8801cad025c0 R15: 000000000000000e
[ 8742.249305] FS:  0000000000000000(0000) GS:ffff88043f2c0000(0000) knlGS:0000000000000000
[ 8742.249322] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 8742.249334] CR2: ffffe8000bbdb340 CR3: 0000000001c0c000 CR4: 00000000001407e0
[ 8742.249350] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 8742.249378] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[ 8742.249403] Stack:
[ 8742.249408]  ffff8801cad02000 ffff8803d1d87c38 ffff8803d1d87c60 000014b415c00000
[ 8742.249427]  ffff8803d1d87c38 ffff8803d1d87b10 ffffffff811535ec ffffffffffffffff
[ 8742.249445]  ffffea000191e180 000014b415b71000 ffff8803d1d87be8 ffffffff81155308
[ 8742.249463] Call Trace:
[ 8742.249472]  [<ffffffff811535ec>] tlb_flush_mmu.part.46+0x4c/0x90
[ 8742.249487]  [<ffffffff81155308>] unmap_single_vma+0x6b8/0x900
[ 8742.249502]  [<ffffffff81156599>] unmap_vmas+0x49/0x90
[ 8742.249514]  [<ffffffff8115f5cc>] exit_mmap+0x9c/0x170
[ 8742.249528]  [<ffffffff81059657>] mmput+0x67/0xf0
[ 8742.249539]  [<ffffffff81061b8f>] do_exit+0x27f/0xa20
[ 8742.249552]  [<ffffffff8106de0c>] ? __dequeue_signal+0x13c/0x220
[ 8742.249565]  [<ffffffff810623af>] do_group_exit+0x3f/0xa0
[ 8742.249578]  [<ffffffff8107086c>] get_signal_to_deliver+0x1cc/0x5d0
[ 8742.249593]  [<ffffffff81011428>] do_signal+0x48/0x5a0
[ 8742.249606]  [<ffffffff8101b0dd>] ? __restore_xstate_sig+0x8d/0x510
[ 8742.249620]  [<ffffffff810119f0>] do_notify_resume+0x70/0xa0
[ 8742.249634]  [<ffffffff81647f12>] int_signal+0x12/0x17
[ 8742.249645] Code: fd 0e 41 bf 0e 00 00 00 45 0f 4e fd 31 db 45 85 ff 7f 14 eb 59 66 0f 1f 84 00 00 00 00 00 48 83 c3 01 41 39 df 7e 47 4d 8b 24 de <49> 8b 04 24 a9 00 00 01 00 74 e8 41 8b 44 24 18 85 c0 79 df f0 
[ 8742.249738] RIP  [<ffffffff8116a36d>] free_pages_and_swap_cache+0x5d/0xd0
[ 8742.249756]  RSP <ffff8803d1d87ac0>
[ 8742.249763] CR2: ffffe8000bbdb340
[ 8742.255761] ---[ end trace 8206730987a776b1 ]---
[ 8742.255762] Fixing recursive fault but reboot is needed!
[ 9630.964962] traps: chrome[23635] general protection ip:7f9a6ba86980 sp:7fff54ce0698 error:0 in chrome[7f9a69d47000+589c000]
[10057.473320] urlgrabber-ext-[24625]: segfault at 7d859affb9b8 ip 000000307590ad10 sp 00007fff593d4578 error 4 in libpython2.7.so.1.0[3075800000+174000]
[10057.568891] abrt-action-sav[24633]: segfault at 7d9be00ed2c8 ip 00007f9bdd919058 sp 00007fff177a6a40 error 4 in librpmio.so.3.2.0[7f9bdd90d000+28000]
[10057.613972] urlgrabber-ext-[24636]: segfault at 7d6dccd9ae48 ip 000000307590ad10 sp 00007fff3f4ec9d8 error 4 in libpython2.7.so.1.0[3075800000+174000]
[10081.589230] urlgrabber-ext-[24724]: segfault at 7d14f781f578 ip 000000307590ad10 sp 00007fff4b5662a8 error 4 in libpython2.7.so.1.0[3075800000+174000]
[10101.946203] yum[24744]: segfault at 7d46298b83dc ip 0000003073014568 sp 00007fff6b139580 error 4 in ld-2.17.so[3073000000+21000]
[10135.367931] yum[24967]: segfault at 7d4f9d0b7188 ip 000000307590ad10 sp 00007fff676c4c18 error 4 in libpython2.7.so.1.0[3075800000+174000]
[10152.526493] urlgrabber-ext-[25042]: segfault at 7d25c56204e8 ip 000000307590ad10 sp 00007fff605dde18 error 4 in libpython2.7.so.1.0[3075800000+174000]
[10164.152318] abrt-action-ins[24932]: segfault at 7d9fadcf9130 ip 0000003075859e89 sp 00007fff1089f200 error 4 in libpython2.7.so.1.0[3075800000+174000]
[10174.274419] abrt-action-lis[25082]: segfault at 7d7d5f7b69d8 ip 000000307590ad10 sp 00007fff8b12e1a8 error 4 in libpython2.7.so.1.0[3075800000+174000]
[11121.227583] abrt-action-ins[26163]: segfault at 7d438384e068 ip 0000003075898e2b sp 00007fff3b390d40 error 4 in libpython2.7.so.1.0[3075800000+174000]
Comment 12 Milan Crha 2013-09-09 05:12:38 EDT
Thanks for a bug report. I briefly looked at the code and I do not see any obvious error in it, it seems correct to me. I guess a memory corruption happened for some reason. Your comment #11 suggests that there happened more issues in your system, not completely related to evolution.

(In reply to Mikhail from comment #11)
> ...
> [ 8742.255761] ---[ end trace 8206730987a776b1 ]---
> [ 8742.255762] Fixing recursive fault but reboot is needed!
> [ 9630.964962] traps: chrome[23635] general protection ip:7f9a6ba86980
> ...

The above notice about recursive fault looks to me as a main cause of the trouble. Also, seeing tracker in the log, do you have installed also tracker's evolution plugin? If yes, I would try to uninstall it, just to test whether it causes (part) of the instability of evolution.

By any change, are you able to reproduce this in any way, please? If yes, could you provide the steps, please? I see from the backtrace that this happened during message download, which might be related too, at least partially.
Comment 13 Mikhail 2013-09-19 16:31:05 EDT
Yes, it was be memory corruption. I am successful replaced memory two weeks ago and this problem is gone.
Comment 14 Milan Crha 2013-09-20 03:38:45 EDT
Thanks for the update. A hardware memory corruption? Interesting, I didn't see such myself for a long time :) Good it works for you again.

Note You need to log in before you can comment on or make changes to this bug.